### Method

# GLib Tree lower_bound

since: 2.68

#### Declaration

    GTreeNode*
    g_tree_lower_bound (
      GTree* tree,
      gconstpointer key
    )

#### Description

Gets the lower bound node corresponding to the given key, or `NULL` if the tree is empty or all the nodes in the tree have keys that are strictly lower than the searched key.

The lower bound is the first node that has its key greater than or equal to the searched key.

Available since: 2.68

#### Parameters

`key`

  Type: `gconstpointer`

  The key to calculate the lower bound for.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

#### Return value

Type: `GTreeNode`

The tree node corresponding to the lower bound, or `NULL` if the tree is empty or has only keys strictly lower than the searched key.

The returned data is owned by the instance.
The return value can be `NULL`.